View Issue Details

IDProjectCategoryView StatusLast Update
0000964Main CAcert Websitecertificate issuingpublic2014-03-07 12:35
ReporterUli60 Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformWin 
Product Version2013 Q1 
Target Version2013 Q1Fixed in Version2013 Q1 
Summary0000964: VBscript, Weak Keys script 4.php, 17.php to combine / select box key size and lower limit to 2048
Description  1. VBscript, Weak Keys script - awaiting dirks deployment
   || dirk || DEV: [[Arbitrations/a20110312.1|a20110312.1]] [[https://bugs.cacert.org/view.php?id=918|bug#918]] Weak keys: /pages/account/.. 4.php, 17.php to combine ? (/includes/keygen.php) '''DEV''' || {-} ||
   * vbscript needs to be improved with select box key size and lower limit to 2048 (based on [[https://wiki.mozilla.org/CA:MD5and1024]])
   * Api CertEnroll (MS crypto provider)

TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Relationships

related to 0000927 new Main CAcert Website VBScript error when trying to install certificate in IE8 
related to 0000847 needs feedback Main CAcert Website Key stength is not available for creating client certificate 
related to 0000901 new Main CAcert Website Renewal of certificate with WIN 7 and IE8 
parent of 0000965 needs workNEOatNHNG Main CAcert Website Outsource / fix Webdb text pages id=12, 13, (17) 
related to 0001017 closedNEOatNHNG Main CAcert Website Chrome certificate enrollement 
related to 0001099 closed Main CAcert Website Automatic CAcert's root certificate install on Windows via Internet Explorer. 
related to 0000918 closedNEOatNHNG Main CAcert Website Weak keys in certificates 
related to 0001160 closed issue tracking Unable to import personal cert/key into Tunderbird or Evolution, hence unable to encrypt mail with CACert certificates 
related to 0001255 closedwytze Main CAcert Website DSA certificate issuing ignores key strength 
child of 0000671 solved?Uli60 Main CAcert Website cms pages in online website need review for deprecation 
Not all the children of this issue are yet resolved or closed.

Activities

Uli60

2011-07-29 00:27

updater   ~0002227

Last edited: 2011-07-29 01:26

View 5 revisions

IE8, 4.php, list of providers, results triggering cert creation incl. keylength
default keysize setting (no selection box of different keysizes)

Gemplus GemSAFE Card CSP v1.0 VBScript Alert: Unable to generate PKCS#10
Infineon SICRYPT Base Smart Card CSP VBScript Alert: Unable to generate PKCS#10
Microsoft Base Cryptographic Provider v1.0 pub: RSA 1024 bits
Microsoft Enhanced Cryptographic Provider v1.0 pub: RSA 1024 bits
Microsoft Strong Cryptographic Provider pub: RSA 1024 bits
Schlumberger Cryptographic Service Provider VBScript Alert: Unable to generate PKCS#10
Microsoft Base DSS Cryptographic Provider VBScript Alert: Unable to generate PKCS#10
Microsoft Exchange Cryptographic Provider v1.0 VBScript Alert: Unable to generate PKCS#10
Microsoft RSA SChannel Cryptographic Provider VBScript Alert: Unable to generate PKCS#10
Microsoft Base DSS and Diffie-Hellmann Cryptographic Provider VBScript Alert: Unable to generate PKCS#10
Microsoft Enhanced DSS and Diffie-Hellmann Cryptographic Provider VBScript Alert: Unable to generate PKCS#10

Registry key lists the providers
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Cryptography\Defaults\Provider\
Image Path has the used dll listed
Type DWORD 1 .. n
this maps to
HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Cryptography\Defaults\Provider Types\
Type 001
  + Name: Microsoft Strong Cryptographic Provider
  + TypeName: RSA Full (Signature and Key Exchange)

List of Cryptographic Provider Names
http://msdn.microsoft.com/en-us/library/aa380243%28v=vs.85%29.aspx

Creating Certificate Requests Using the Certificate Enrollment Control and CryptoAPI
http://msdn.microsoft.com/en-us/library/ms867026.aspx

Creating a PKCS 0000010 Request Using the Certificate Enrollment Control
http://msdn.microsoft.com/en-us/library/ms867026.aspx#certenroll_topic4

The put_GenKeyFlags method/property is used to specify the type of key generated by the request. The top 16 bits of the passed DWORD represent the key length (in the example 1024 bits). The bottom 16 bits are flags that control the way the key is generated (for Create Salt, Exportable, No Salt, DH or DSS Key Generation, Strong key protection, and Archivable flags, see help on CryptGenKey for more info).

Uli60

2011-07-29 03:00

updater   ~0002228

Last edited: 2011-07-29 03:08

View 2 revisions

lower limit to 2048
potential problem with sympa dkim and keysize > 1024 ?!?

Received: from lists.cacert.org (lists.intra.cacert.org [172.16.2.17])
    (using TLSv1 with cipher ADH-AES256-SHA (256/256 bits))
    (No client certificate requested)
    by email.cacert.org (Postfix) with ESMTPS id 914F2574584;
    Wed, 27 Jul 2011 00:27:07 +0000 (UTC)
Authentication-Results: email.cacert.org; dkim=hardfail
    (verification failed) header.i=@cacert.org; dkim-asp=none
Received: by lists.cacert.org (Postfix, from userid 104)
    id 5FE8A56DCD9; Wed, 27 Jul 2011 00:27:07 +0000 (UTC)
Authentication-Results: lists.cacert.org; dkim=hardfail
    (verification failed) header.i=@cacert.org; dkim-asp=none

and

Authentication-Results: email.cacert.org; dkim=hardfail
    (verification failed) header.i=@cacert.org; dkim-asp=none
Received: by lists.cacert.org (Postfix, from userid 104)
    id 9C85456DD0F; Fri, 29 Jul 2011 02:56:21 +0000 (UTC)
Authentication-Results: lists.cacert.org; dkim=hardfail
    (verification failed) header.i=@cacert.org; dkim-asp=none


with keysize RSA 1024 all seems to be ok:
Authentication-Results: email.cacert.org; dkim=pass (1024-bit key)
    header.i=@cacert.org; dkim-asp=none
Received: by lists.cacert.org (Postfix, from userid 104)
    id 583CA56DD0E; Fri, 29 Jul 2011 01:38:53 +0000 (UTC)
Authentication-Results: lists.cacert.org; dkim=pass (1024-bit key)
    header.i=@cacert.org; dkim-asp=none

Verification with a RSA-1024-bit key gives the same result.
So keysize doesn't matter here

INOPIAE

2011-08-02 21:04

updater   ~0002249

Last edited: 2011-08-02 21:06

View 2 revisions

Win 7, IE 9
Microsoft Software Key Storage Provider: Cert 1024
Microsoft Smart Card Key Storage Provider: Wir haben keine gültige Zertifikat-Anfrage (CSR) bekommen.
Microsoft Base Cryptographic Provider v1.0: The keys that you use are very small and therefore insecure. Please generate stronger keys. More information about this issue can be found in the wiki
Microsoft Base DSS and Diffie-Hellmann Cryptographic Provider:Wir haben keine gültige Zertifikat-Anfrage (CSR) bekommen.
Microsoft Base DSS Cryptographic Provider: Wir haben keine gültige Zertifikat-Anfrage (CSR) bekommen.
Microsoft Base Smart Card Crypto Provider: Wir haben keine gültige Zertifikat-Anfrage (CSR) bekommen.
Microsoft DH SChannel Cryptographic Provider: Wir haben keine gültige Zertifikat-Anfrage (CSR) bekommen.
Microsoft Enhanced Cryptographic Provider v1.0: 1024bit
Microsoft Enhanced DSS and Diffie-Hellmann Cryptographic Provider:Wir haben keine gültige Zertifikat-Anfrage (CSR) bekommen.
Microsoft Enhanced RSA and AES Cryptographic Provider: 1024bit
Microsoft RSA SChannel Cryptographic Provider: 1024bit
Microsoft Strong Cryptographic Provider: 1024bit

Uli60

2011-12-18 13:26

updater  

keygen.php (7,378 bytes)

Uli60

2011-12-18 13:30

updater   ~0002751

/includes/keygen.php
proposal by Brian

a) Is this what you're looking for. Something like this?
It's untested.
Brute force ugly. Like the way it currently is written.

Should really be querying the called library for min and max values.
and popping them into the select.

I'd do it in HTML5, but not many browsers support the range input type.

b) Neglected to update the Vista code.
Here. Still untested. Too late and too tired to log into the VPN.

I can't test the Vista code, anyway. Only copy of Vista I have is on a
dead HDD.

Uli60

2011-12-18 13:31

updater   ~0002752

fix proposal by Brian

NEOatNHNG

2011-12-21 01:08

administrator   ~0002753

I have added the proposed patch to the test system, with a few adjustments but it didn't work as intended. The selection displayed right but if the user clicks to the next page he gets "I did not receive a valid certificate request. Hit the back button and try again." Probably something on the generation fails and therefore the clients sends an empty request. Log says "unable to load X509 request"

Uli60

2012-01-04 00:38

updater   ~0002761

alternates
CNG
http://msdn.microsoft.com/en-us/library/windows/desktop/aa374874%28v=VS.85%29.aspx
Certificate Enrollment API > Certificate Enrollment API Reference > CertEnroll Interfaces > Certificate Request Interfaces

Uli60

2012-02-21 23:52

updater   ~0002836

documentation / sample for javascript
http://webcache.googleusercontent.com/search?q=cache:wB4rFiUXrP0J:blogs.msdn.com/b/alejacma/archive/2009/01/28/how-to-create-a-certificate-request-with-certenroll-javascript.aspx+how-to-create-a-certificate-request-with-certenroll-javascript.aspx&hl=de&client=firefox-a&gl=de&strip=1

Uli60

2012-02-21 23:53

updater  

NEOatNHNG

2012-07-23 17:00

administrator   ~0003099

The implementation is finally ready. Please review and test.

INOPIAE

2012-07-24 17:46

updater   ~0003100

Last edited: 2012-07-24 20:47

View 3 revisions

Win 7 IE 9.0
Assurer
orgadmin@inopiae.com
class1 high 111A 2012-08-23 without name
class1 medium 111B 2012-08-23 with name
class3 high 10C7 2012-08-23 with name
class3 medium 10C8 2012-08-23 without name
org client cert do not work

WIN XP SP3 IE 6.0
1.964@acme.com 0 points
class1 high 111C 2012-07-27
class1 medium 111D 2012-07-27

Win 7 Chrome12
2.964@acme.com 50 points
class1 high grade 111A 2012-08-23 without name
class1 mittlere stufe 111B 2012-08-23 with name
class3 high grade 10C7 2012-08-23 with name
class3 mittlere stufe 10C8 2012-08-23 without name

orgcertificate orgadmin@inopiae.com
1.964@test.inopiae.com
class3 mittlere stufe 10CC 2012-07-31
class3 high grade 1122 2012-07-31
class3 high grade 10CB 2012-07-31
class1 mittlere stufe 1121 2012-07-31
class1 high grade 1120 2012-07-31

With the IE the login flag is always set if ticked or not.
With chrome it works.

Uli60

2012-07-24 20:20

updater   ~0003102

Last edited: 2012-07-24 20:46

View 3 revisions

xp, ie8.0.6001.18702
login with testuser
opened form account.php?id=3
add one email
sign class1
include name
disable enable-login
no-single-sign-on

short display of a red text (don't know what)
next page:
security-level: high
create cert button
clicked create cert

message "Generating your key. Please wait..."

window opens
"potential script conflict" (german message)
(with some more text in german)
request cert now?
Yes / No

clicked Yes

waiting a longer time until the window disappears

next page
"Installing your Certificate"
with "Install your Cert" button
and key printout
Your certificate:
--Begin Cert ...---
...

results in a 2K pub keyfile

clicked "Install your certificate"
installed in personal keyfile store

client certs view:
Valid gerhard@w.de 1123 Not Revoked 2012-08-23 20:14:57

use for login is enabled

=> except enabled-for-login ok

verification on production system:
form removed flag "enable for login"
key generated, view certs, enable-for-login set
=> same problem on production

Uli60

2012-07-24 21:32

updater   ~0003104

re-tested
https://bugs.cacert.org/view.php?id=964#c3102
scenario:
Valid gerhard@w.de 1125 Not Revoked 2012-08-23 21:31:31
disabled enable-cert-for-login
=> ok

INOPIAE

2012-07-24 21:36

updater   ~0003105

Login Flag is now working as desired in
WIN 7 IE 9 and WIN XP SP3 IE 6
=>OK

BenBE

2012-07-24 22:03

updater   ~0003107

Test with IE6SP1 on WXPSP2:

Test 1:
- Grade: High
- Cert on one mail address
- Allow for Login -> active
- No CSR
- Hit Submit Button
--> Page to generate Cert shows up -> OK

- Select "Custom"
--> Advanced Dialog showing -> OK
--> List of Providers filled (13 providers) -> OK
- Switch back to "High"
--> Advanced Dialog hidden -> OK

- Hit Submit Button
--> Confirmation Dialog to generate Cert shows (Win Security)

- a) Reject confirmation
--> Error Message shows -> Message should be more verbose

- b) Grant Confirmation
--> Certificate is generated (4096bit RSA) -> OK
--> Page with PEM shows -> OK

- Hit Install Certificate button
--> Warning about Security Risk shows up (twice)
----> When rejecting any -> Sparse error message without explanation

- After accepting both -> Certificate installed OK (personal store)
--> Message (partially translated) showing sucess and explaining where to find the Cert -> OK; Maybe add Interface Lang + English UI in Message?

Uli60

2012-07-25 00:29

updater   ~0003112

win7, ie9.0.8112.16421
retest scenario
https://bugs.cacert.org/view.php?id=964#c3104
after CAcert root+class3, testserver root+class3 install .....
and trust settings, and activeX setting correction
all ok

Uli60

2012-07-31 22:05

updater   ~0003122

error messages to display for standard errors

from 2012-07-24
https://wiki.cacert.org/Software/Assessment/20120724-S-A-MiniTOP

   1. ben: "Bei den Fehlermeldungen der Statuscodes bitte Hex und Int angeben. Au?erdem beim Ablehnen der Best?tigungsmeldungen die Fehlermeldung etwas aussagekr?ftiger."
    * "Fehler: Nachricht (0x80000095 / -2147.....)"
    * error messages on ms website: [[ http://msdn.microsoft.com/en-us/library/ms953432.aspx#smartcardcspcook_topic3]]
   1. magu: tests bug 0000964
    * error messages:
     * available key sizes: 512-1024 Bit (in 64 Bit steps)
     * Schlumberger CSP, Keysize 1024 --> 2146435043
     * Infineon SICRYPT Base Smart Card CSP Keysize Nothing Error_ (-7feff92 / -2146434962)

INOPIAE

2012-08-14 21:35

updater   ~0003137

Last edited: 2012-08-14 21:40

View 3 revisions

Win 7, IE 9
account 2.964@acme.com 50 Point

high certificate generate =>ok
medium high certificate generate =>ok

custom:
MS Key Storage Provider
RSA 512 error weak key =>ok
RSA 1024 certificate generate =>ok

MS Base Cryptographic Provider 1.0
RSA 512 error weak key =>ok
RSA 1024 certificate generate =>ok

MS Base DSS and Diffie-Hellmann Cryptographic Provider
DAS 512 certificate created =>ok
DH 512 error popup see below
DH 1024 error popup see below

MS Base DSS Cryptographic Provider
DAS 512 certificate generate =>ok

MS DH SChannel Crypotgraphic Provider
DAS 512 certificate generate =>ok

MS Enhanced Cryptographic Provider
RSA 512 error weak key =>ok
RSA 1024 certificate generate =>ok

MS Enhanced DSS and Diffie-Hellmann Cryptographic Provider
DAS 512 certificate generate =>ok
DH 512 error popup see below

MS Enhanced RSA and AES Cryptographic Provider
RSA 512 error weak key =>ok
RSA 1024 certificate generate =>ok

MS DH SChannel Crypotgraphic Provider
RSA 512 error weak key =>ok
RSA 1024 certificate generate =>ok

MS Strong Crypotgraphic Provider
RSA 512 error weak key =>ok
RSA 1024 certificate generate =>ok

EnterSafe ePass2003 provider with out stick
Could not generate certificate request. Probably you need to choose a differnt algorithm.
Error CertEnroll::CX509Enrollment::_CreateRequest: Interner Fehler.
0x80090020 (-2146893792) (0x80090020/-2146893792)

with stick
RSA 512 error weak key =>ok
RSA 1024 certificate generate =>ok
RSA 2048 certificate generate =>ok

NEOatNHNG

2013-02-26 23:56

administrator   ~0003774

Mail sent to critical admins.

wytze

2013-02-27 10:36

developer   ~0003777

The fix has been installed on the production server on February 27, 2013. See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2013-02/msg00003.html

Uli60

2013-03-01 23:57

updater   ~0003785

patch is still incomplete ...
see https://cacert1.it-sls.de/index.php?id=17 under bug 0000965

Issue History

Date Modified Username Field Change
2011-07-26 22:19 Uli60 New Issue
2011-07-26 22:19 Uli60 Status new => needs work
2011-07-26 22:19 Uli60 Assigned To => egal
2011-07-28 19:01 Uli60 Relationship added related to 0000965
2011-07-28 19:57 Uli60 Relationship added child of 0000671
2011-07-29 00:27 Uli60 Note Added: 0002227
2011-07-29 00:30 Uli60 Note Edited: 0002227 View Revisions
2011-07-29 00:51 Uli60 Note Edited: 0002227 View Revisions
2011-07-29 01:23 Uli60 Note Edited: 0002227 View Revisions
2011-07-29 01:26 Uli60 Note Edited: 0002227 View Revisions
2011-07-29 03:00 Uli60 Note Added: 0002228
2011-07-29 03:08 Uli60 Note Edited: 0002228 View Revisions
2011-08-02 21:04 INOPIAE Note Added: 0002249
2011-08-02 21:06 INOPIAE Note Edited: 0002249 View Revisions
2011-08-19 12:28 Uli60 Relationship added related to 0000927
2011-08-23 12:28 Uli60 Relationship added related to 0000847
2011-08-23 12:29 Uli60 Relationship added related to 0000901
2011-12-18 13:26 Uli60 File Added: keygen.php
2011-12-18 13:30 Uli60 Note Added: 0002751
2011-12-18 13:31 Uli60 Note Added: 0002752
2011-12-18 13:31 Uli60 Assigned To egal =>
2011-12-18 13:31 Uli60 Status needs work => fix available
2011-12-20 12:23 NEOatNHNG Assigned To => NEOatNHNG
2011-12-20 23:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver 9744ee82
2011-12-20 23:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver d230aee9
2011-12-20 23:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver 93e066db
2011-12-21 00:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver e352e10a
2011-12-21 00:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver 327d4046
2011-12-21 00:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver e9f1fe7d
2011-12-21 00:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver 30ac5366
2011-12-21 01:08 NEOatNHNG Note Added: 0002753
2011-12-21 01:08 NEOatNHNG Assigned To NEOatNHNG => Uli60
2011-12-21 01:08 NEOatNHNG Status fix available => needs work
2012-01-04 00:38 Uli60 Note Added: 0002761
2012-02-21 23:52 Uli60 Note Added: 0002836
2012-02-21 23:53 Uli60 File Added: How to create a certificate request with CertEnroll (JavaScript).pdf
2012-05-30 21:01 NEOatNHNG Assigned To Uli60 => NEOatNHNG
2012-07-23 16:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver 60ac5b06
2012-07-23 16:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver 5b714005
2012-07-23 16:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver e0f73397
2012-07-23 17:00 NEOatNHNG Note Added: 0003099
2012-07-23 17:00 NEOatNHNG Status needs work => needs review & testing
2012-07-23 17:00 NEOatNHNG Reviewed by => NEOatNHNG
2012-07-24 17:46 INOPIAE Note Added: 0003100
2012-07-24 19:37 INOPIAE Note Edited: 0003100 View Revisions
2012-07-24 20:20 Uli60 Note Added: 0003102
2012-07-24 20:43 Uli60 Note Edited: 0003102 View Revisions
2012-07-24 20:46 Uli60 Note Edited: 0003102 View Revisions
2012-07-24 20:47 INOPIAE Note Edited: 0003100 View Revisions
2012-07-24 21:20 NEOatNHNG Source_changeset_attached => cacert-devel testserver f6c261ee
2012-07-24 21:20 NEOatNHNG Source_changeset_attached => cacert-devel testserver b89cdbe0
2012-07-24 21:32 Uli60 Note Added: 0003104
2012-07-24 21:36 INOPIAE Note Added: 0003105
2012-07-24 21:50 NEOatNHNG Source_changeset_attached => cacert-devel testserver 9dc06a8a
2012-07-24 21:50 NEOatNHNG Source_changeset_attached => cacert-devel testserver 692181bc
2012-07-24 22:03 BenBE Note Added: 0003107
2012-07-24 22:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver 6cd4a86e
2012-07-24 22:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver 7743c2cd
2012-07-24 22:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver 1a0d931c
2012-07-24 22:40 NEOatNHNG Source_changeset_attached => cacert-devel testserver e56ae655
2012-07-24 22:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver 76eb1ab9
2012-07-24 22:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver 15921f97
2012-07-25 00:00 NEOatNHNG Source_changeset_attached => cacert-devel testserver f27cbc88
2012-07-25 00:00 NEOatNHNG Source_changeset_attached => cacert-devel testserver 5a51a1a6
2012-07-25 00:00 NEOatNHNG Source_changeset_attached => cacert-devel testserver 726bac01
2012-07-25 00:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver 162420db
2012-07-25 00:10 NEOatNHNG Source_changeset_attached => cacert-devel testserver 4c79ad2e
2012-07-25 00:29 Uli60 Note Added: 0003112
2012-07-31 22:05 Uli60 Note Added: 0003122
2012-08-07 21:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver 2887d838
2012-08-07 21:45 NEOatNHNG Source_changeset_attached => cacert-devel testserver b73a899c
2012-08-07 22:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver be880428
2012-08-07 22:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver 567efe68
2012-08-07 22:35 NEOatNHNG Source_changeset_attached => cacert-devel testserver b65f5c60
2012-08-07 22:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver 970604db
2012-08-07 22:55 NEOatNHNG Source_changeset_attached => cacert-devel testserver 726eb834
2012-08-14 21:35 INOPIAE Note Added: 0003137
2012-08-14 21:40 INOPIAE Note Edited: 0003137 View Revisions
2012-08-14 21:40 INOPIAE Note Edited: 0003137 View Revisions
2012-09-04 10:27 Uli60 Relationship added related to 0001017
2012-09-14 21:36 NEOatNHNG Relationship added related to 0001099
2013-01-15 23:17 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable b3c7936b
2013-02-19 19:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 3cfa12b3
2013-02-19 19:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 324c036d
2013-02-19 19:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 15e708ae
2013-02-19 19:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 387fde16
2013-02-19 19:50 BenBE Source_changeset_attached => cacert-devel testserver-stable eb9bfa0a
2013-02-19 19:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 0766b152
2013-02-19 23:15 BenBE Source_changeset_attached => cacert-devel testserver-stable b2d2c39e
2013-02-19 23:15 BenBE Source_changeset_attached => cacert-devel testserver-stable 92b6e7df
2013-02-26 21:53 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2013-02-26 21:53 BenBE Status needs review & testing => ready to deploy
2013-02-26 21:53 BenBE Product Version => 2013 Q1
2013-02-26 21:53 BenBE Fixed in Version => 2013 Q1
2013-02-26 21:53 BenBE Target Version => 2013 Q1
2013-02-26 23:56 NEOatNHNG Note Added: 0003774
2013-02-27 00:45 NEOatNHNG Source_changeset_attached => cacert-devel release be8f7fb5
2013-02-27 10:36 wytze Note Added: 0003777
2013-02-27 10:36 wytze Status ready to deploy => solved?
2013-02-27 10:36 wytze Resolution open => fixed
2013-03-01 23:55 Uli60 Relationship deleted related to 0000965
2013-03-01 23:55 Uli60 Relationship added parent of 0000965
2013-03-01 23:57 Uli60 Note Added: 0003785
2013-03-13 21:23 NEOatNHNG Relationship added related to 0000918
2013-03-19 19:30 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable f5364271
2013-04-16 12:51 Uli60 Relationship added related to 0001160
2013-07-16 21:08 INOPIAE Status solved? => closed
2013-07-16 21:08 INOPIAE Assigned To NEOatNHNG =>
2014-03-07 12:35 INOPIAE Relationship added related to 0001255